
Application: gvSIG desktop - gvSIG bugs #589
Use latest JFreeChart library
05/07/2012 05:45 PM - Francisco José Peñarrubia

Status: Closed % Done: 100%
Priority: Normal Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: Application
Target version:
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2045 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

In order to used the latest improvements with time series charts, it will be useful to migrate to the latest release.

The dependency:

<dependency>
    <groupId>org.jfree</groupId>
    <artifactId>jfreechart</artifactId>
    <version>1.0.14</version>
</dependency>

I assign Nacho because raster is the mainly user of jFreeChart right now.

History
#1 - 05/10/2012 01:11 PM - Ignacio Brodín
- Assignee changed from Ignacio Brodín to Cesar Ordiñana

I assign this ticket to Cesar.

http://sourceforge.net/projects/jfreechart/files/1.%20JFreeChart/1.0.14/

#2 - 05/18/2012 12:52 PM - Cesar Ordiñana
- Category changed from Raster to Application
- Status changed from New to In progress
- Assignee changed from Cesar Ordiñana to Ignacio Brodín
- % Done changed from 0 to 50
- gvSIG build set to 2045

Added in changeset gvsig-tools:r693. Also the org.gvsig.maven.base project has been deployed to the gvSIG maven repository, so it is already
available to everybody.

I have left the old jfreechart dependency, as the groupId has changed, so all dependent projects must be updated also. Once the update had been
http://sourceforge.net/projects/jfreechart/files/1.%20JFreeChart/1.0.14/


performed, I will remove it (in the first or second next gvsig 2.0 build).

Every project using jfreechart must change its dependency from

            <dependency>
                <groupId>jfree</groupId>
                <artifactId>jfreechart</artifactId>
                <scope>compile</scope>
            </dependency>

To:

            <dependency>
                <groupId>org.jfree</groupId>
                <artifactId>jfreechart</artifactId>
                <scope>compile</scope>
            </dependency>

I reassing the ticket to Nacho for him to update his projects dependencies.

#3 - 05/22/2012 04:27 PM - Ignacio Brodín

Poms in raster projects don't have jfreechart included. I have updated this dependency is in libUIComponents and I have tested the new version

#4 - 05/22/2012 04:29 PM - Joaquín  del Cerro Murciano

Cesar, la dependencia se la lleva por delante andami.... ¿ que hay que hacer para que en el manifest de andami se actualice ?

#5 - 05/22/2012 05:04 PM - Cesar Ordiñana

Just perform into the _fwAndami project a:

mvn clean install

#6 - 05/23/2012 09:31 AM - Ignacio Brodín
- Status changed from In progress to Fixed
- % Done changed from 50 to 100

#7 - 02/26/2014 12:40 PM - Álvaro Anguix
- Status changed from Fixed to Closed
